RubyGems Navigation menu

rubocop 0.27.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.61.0 - February 29, 2024 (617 KB)
  2. 1.60.2 - January 24, 2024 (616 KB)
  3. 1.60.1 - January 17, 2024 (615 KB)
  4. 1.60.0 - January 15, 2024 (615 KB)
  5. 1.59.0 - December 11, 2023 (613 KB)
  6. 0.27.1 - November 08, 2014 (914 KB)
Show all versions (263 total)

Runtime Dependencies (5):

astrolabe ~> 1.3
parser < 3.0, >= 2.2.0.pre.7
powerpack ~> 0.0.6
rainbow < 3.0, >= 1.99.1

Development Dependencies (5):

bundler ~> 1.3
rake ~> 10.1
rspec ~> 3.0
simplecov ~> 0.7
yard ~> 0.8

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

e0f5190a96b82917bd2a15de027d252218830efdfee98bcca3cd3fd8a0e38d24

Total downloads 397,803,659

For this version 539,146

License:

MIT

Required Ruby Version: >= 1.9.3

New versions require MFA: true

Links: